ChangeSet 1.1298, 2003/06/04 17:42:26-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/x86_64/kernel/pci-gart.c


 arch/x86_64/kernel/pci-gart.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/arch/x86_64/kernel/pci-gart.c b/arch/x86_64/kernel/pci-gart.c
--- a/arch/x86_64/kernel/pci-gart.c	Wed Jun  4 18:06:40 2003
+++ b/arch/x86_64/kernel/pci-gart.c	Wed Jun  4 18:06:40 2003
@@ -67,7 +67,8 @@
 #define GPTE_DECODE(x) (((x) & 0xfffff000) | (((u64)(x) & 0xff0) << 28))
 
 #define for_all_nb(dev) \
-	pci_for_each_dev(dev) \
+	dev=NULL; \
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) \
 		if (dev->bus->number == 0 && PCI_FUNC(dev->devfn) == 3 && \
 		    (PCI_SLOT(dev->devfn) >= 24) && (PCI_SLOT(dev->devfn) <= 31))
 
